# PulpAnsibleClient::PulpAnsibleGalaxyApiV3CollectionsCertifiedApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**set_certified**](PulpAnsibleGalaxyApiV3CollectionsCertifiedApi.md#set_certified) | **PUT** /pulp_ansible/galaxy/{path}/api/v3/collections/{namespace}/{name}/versions/{version}/certified/ | 



## set_certified

> CollectionVersionResponse set_certified(name, namespace, path, version, collection_version)



Set collection version certified status.

### Example

```ruby
# load the gem
require 'pulp_ansible_client'

api_instance = PulpAnsibleClient::PulpAnsibleGalaxyApiV3CollectionsCertifiedApi.new
name = 'name_example' # String | 
namespace = 'namespace_example' # String | 
path = 'path_example' # String | 
version = 'version_example' # String | 
collection_version = PulpAnsibleClient::CollectionVersion.new # CollectionVersion | 

begin
  result = api_instance.set_certified(name, namespace, path, version, collection_version)
  p result
rescue PulpAnsibleClient::ApiError => e
  puts "Exception when calling PulpAnsibleGalaxyApiV3CollectionsCertifiedApi->set_certified: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**|  | 
 **namespace** | **String**|  | 
 **path** | **String**|  | 
 **version** | **String**|  | 
 **collection_version** | [**CollectionVersion**](CollectionVersion.md)|  | 

### Return type

[**CollectionVersionResponse**](CollectionVersionResponse.md)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

